/*
 * 文 件 名:  QueryDevice
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/6
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.domain.vo;

import java.util.List;

/**
 * 查询设备
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/6]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class QueryDevice {
    /** 设备代码 */
    private String deviceCode;

    /** 设备名称 */
    private String deviceName;

    /** 设备类型 */
    private Long deviceType;

    private String refFacs;

    /** 区域类型 */
    private String areaType;

    /** 区域代码 */
    private String refArea;

    /** 所属子系统 */
    private String subsystemCode;

    private List<String> buildingCodes;

    private List<String> zoningCodes;

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Long getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Long deviceType) {
        this.deviceType = deviceType;
    }

    public String getRefFacs() {
        return refFacs;
    }

    public void setRefFacs(String refFacs) {
        this.refFacs = refFacs;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getRefArea() {
        return refArea;
    }

    public void setRefArea(String refArea) {
        this.refArea = refArea;
    }

    public String getSubsystemCode() {
        return subsystemCode;
    }

    public void setSubsystemCode(String subsystemCode) {
        this.subsystemCode = subsystemCode;
    }

    public List<String> getBuildingCodes() {
        return buildingCodes;
    }

    public void setBuildingCodes(List<String> buildingCodes) {
        this.buildingCodes = buildingCodes;
    }

    public List<String> getZoningCodes() {
        return zoningCodes;
    }

    public void setZoningCodes(List<String> zoningCodes) {
        this.zoningCodes = zoningCodes;
    }
}